QGIS Application - Bug report #2396
ogr2ogr Mapinfo export not working
2010-01-25 05:59 PM - sowelu -

Status: Closed
Priority: Low
Assignee: Borys Jurgiel
Category: Python plugins

Affected QGIS version:
Operating System: Debian
Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: duplicate

Copied to github as #: 12456

Description

QGIS trunk
Kubuntu 9.10 AMD64
GDAL 1.8dev

When | choose a ESRI Shapefile and supply an input filename name then choose target format of "Maplinfo File" and press Browse

nothing happens at all. If you then just press OK it tells you that the target dataset is missing. | had a look at the code and it looks to me

like the line

add( Format( "Maplnfo", "Maplnfo File", Format::eFile ) );

in format.cpp has the "Maplnfo" and "Maplnfo File" around the wrong way. If you reverse these and re-compile, QGIS then allows you to

choose the output target file, but then crashes when you press OK. Looking in the target directory, OGR Converter writes out the dat, id

and map files, but there is no tab file. If you just enter a name (ie. without ".tab') as the target filename, it creates a directory and writes the

dat, id and map files, again without the tab.

My GDAL appears to be working as | can do the conversion using ogr2ogr.

History

#1 - 2010-01-26 04:00 AM - Giovanni Manghi

Is this part of #17297 if yes please add your notes to that ticket and close this as duplicate.

#2 - 2010-01-26 04:38 PM - sowelu -
- Resolution set to duplicate
- Status changed from Open to Closed

Yes, this appears to be much the same as #1729. My notes have been added to that ticket.
